Skip to main content

Funding Events

To enable third-party systems to promptly obtain the execution results of foreign exchange and deposit/withdrawal operations, Broker OpenAPI provides an asynchronous proactive event push mechanism for FX conversion and deposit/withdrawal transaction events.

Clients can subscribe to receive relevant events, allowing them to monitor transaction processing results and status changes in real time.

Instant Funding

Instant Funding Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "FUNDING",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account_id": "93IUJ28O9VO2KBGHDHR4H9",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"instant_funding_id": "89JGKD4LKIVI5UU6L3KHNU10IA",
"amount": "100",
"currency": "HKD",
"type": "DEPOSIT",
"status": "CANCELED",
"reason": "xxxxxx",
"biz_type": "INSTANT_FUNDING"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as FUNDING
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
account_idstringAccount id
client_request_idstringClient Request ID, unique for each request.
instant_funding_idstringRequest id generated by the system.
amountstringAmount.
currencystringCurrency, See the currency field in the Get Instant Funding Detail API response.
typestringInstant Funding Request Type, See the type field in the Get Instant Funding Detail API response.
statusstringRequest status, See the status field in the Get Instant Funding Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
biz_typestringBusiness type, fixed as INSTANT_FUNDING

Instant Exchange

Instant Exchange Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "FUNDING",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account_id": "93IUJ28O9VO2KBGHDHR4H9",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"instant_exchange_id": "89JGKD4LKIVI5UU6L3KHNU10IA",
"from_amount": "100",
"to_amount": "700",
"from_currency": "USD",
"to_currency": "HKD",
"status": "CANCELED",
"reason": "xxxxxx",
"biz_type": "INSTANT_EXCHANGE"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as FUNDING
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
account_idstringAccount id
client_request_idstringClient Request ID, unique for each request.
instant_exchange_idstringRequest id generated by the system.
from_amountstringBase amount for exchange.
to_amountstringAmount after exchange.
from_currencystringBase currency for exchange., See the from_currency field in the Get Instant Exchange Detail API response.
to_currencystringCurrency after exchange. , See the to_currency field in the Get Instant Exchange Detail API response.
statusstringRequest status, See the status field in the Get Instant Exchange Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
biz_typestringBusiness type, fixed as INSTANT_EXCHANGE

Exchange

Foreign Exchange Conversion Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "FUNDING",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account_id": "93IUJ28O9VO2KBGHDHR4H9",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"fx_id": "89JGKD4LKIVI5UU6L3KHNU10IA",
"from_amount": "100",
"from_currency": "USD",
"to_currency": "HKD",
"status": "CANCELED",
"reason": "xxxxxx",
"biz_type": "EXCHANGE"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as FUNDING
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
account_idstringAccount id
client_request_idstringClient Request ID, unique for each request.
fx_idstringRequest id generated by the system.
from_amountstringBase amount for exchange.
to_amountstringAmount after exchange.
from_currencystringBase currency for exchange., See the from_currency field in the Get FX Detail API response.
to_currencystringCurrency after exchange. , See the to_currency field in the Get FX Detail API response.
fx_ratestringFX ratre.
statusstringRequest status, See the status field in the Get FX Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
biz_typestringBusiness type, fixed as EXCHANGE